curl --location --request PUT '/store/products/ESB-006' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"advantages_title": "Kopi ini memiliki hint",
"attributes": [
{
"name": "Kemasan Kopi",
"priority": 1,
"items": [
"sedang",
"halus"
]
},
{
"name": "Tingkat Giling",
"priority": 2,
"items": [
"2000 gr",
"1000 gr"
]
}
],
"category_id": 1,
"chart_status": false,
"custom_icon": [
{
"file_icon_path": "Star",
"seal_name": "Kualitas Terjamin",
"file_icon_color": "#FF7203"
},
{
"file_icon_path": "CreditCard",
"seal_name": "Mutu Terjamin",
"file_icon_color": "#FF7203"
}
],
"description": "Kopi pilihan asli",
"digital_file": {
"file_name": "1775016213-8255.mp4",
"file_path": "stores/105/general/1775016213-8255.mp4",
"file_size": 333664439,
"file_type": "upload"
},
"height": 10,
"hpp": 60000,
"image": null,
"include_voucher": false,
"length": 10,
"name": "Biji kopi arabica",
"path_url": "biji-kopi-arabica-pip-vv",
"price": 65000,
"product_advantages_item": [
{
"name": "Kopi Enak"
},
{
"name": "Kopi Hitam"
}
],
"product_cs": null,
"publish_rate": 70000,
"qty": 10000,
"sku": "ESB-44",
"tracking_adds": {
"all_events": true,
"facebook_pixel": {
"event": [
"AddToCart",
"Purchase",
"ViewContent"
],
"pixel_id": [
18273213123,
13123131231
]
},
"google_tag_manager": [],
"only_submit_event": false,
"tiktok_pixel": {
"event": [
"AddToCart",
"Purchase",
"ViewContent"
],
"pixel_id": [
18273213123,
13123131231
]
}
},
"type": 2,
"varian_items": [
{
"full_name": "Halus; 1000 gr",
"height": 10,
"hpp": 40000,
"length": 10,
"min_qty": 100,
"name": "Halus 1000 gr",
"price": 45000,
"publish_rate": 50000,
"sku": "ESB-44-01",
"status": 1,
"stok": 101,
"weight": 100,
"width": 10
},
{
"full_name": "Halus; 2000 gr",
"height": 10,
"hpp": 60000,
"length": 10,
"min_qty": 100,
"name": "Halus 2000 gr",
"price": 65000,
"publish_rate": 70000,
"sku": "ESB-44-02",
"status": 0,
"stok": 302,
"weight": 200,
"width": 10
},
{
"full_name": "sedang; 1000 gr",
"height": 10,
"hpp": 40000,
"length": 10,
"min_qty": 100,
"name": "sedang 1000 gr",
"price": 45000,
"publish_rate": 50000,
"sku": "ESB-44-03",
"status": 1,
"stok": 101,
"weight": 100,
"width": 10
},
{
"full_name": "sedang; 2000 gr",
"height": 10,
"hpp": 60000,
"length": 10,
"min_qty": 100,
"name": "sedang 2000 gr",
"price": 65000,
"publish_rate": 70000,
"sku": "ESB-44-04",
"status": 0,
"stok": 302,
"weight": 200,
"width": 10
}
],
"video_url": "https://www.youtube.com",
"weight": 1000,
"width": 10
}'